#ifndef _HEX_MANAGER_WIDGET_H_
#define _HEX_MANAGER_WIDGET_H_

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif 

#include "hexeditorwidget.h"
#include "hextoolwidget.h"

#include <qwidget.h>

class CHexManagerWidget : public QWidget
{
  Q_OBJECT

  public:
    CHexManagerWidget( QWidget *parent = 0, const char *name = 0, 
		       bool showState = true );
    ~CHexManagerWidget( void );

    inline bool isValid( void );
    inline CHexEditorWidget *editor( void );
    inline bool showUtil( void );

  public slots:
    void setShowUtil( bool state );

  protected:
    void resizeEvent( QResizeEvent *e );

  private:
    bool mValid;
    bool mShowUtil;
    uint mUtilHeight;
    CHexEditorWidget *mEditor;
    CHexToolWidget   *mUtil;
};


inline bool CHexManagerWidget::isValid( void )
{
  return( mValid );
}

inline CHexEditorWidget *CHexManagerWidget::editor( void )
{
  return( mEditor );
}

inline bool CHexManagerWidget::showUtil( void )
{
  return( mShowUtil );
}



#endif

